OTFLanguage (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.complexscripts.fonts

## Class OTFLanguage

- java.lang.Object
- - org.apache.fop.complexscripts.fonts.OTFLanguage

-     public final class OTFLanguage
      extends Object

  Language system tags defined by OTF specification. Note that this set and their values do not correspond with ISO639* or any other language registry.

  This work was originally authored by Glenn Adams (gadams@apache.org).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AARI`
    `static String` | `ABAZA`
    `static String` | `ABKHAZIAN`
    `static String` | `ADYGHE`
    `static String` | `AFAR`
    `static String` | `AFRIKAANS`
    `static String` | `AGAW`
    `static String` | `ALBANIAN`
    `static String` | `ALSATIAN`
    `static String` | `ALTAI`
    `static String` | `AMHARIC`
    `static String` | `ARABIC`
    `static String` | `ARAKANESE`
    `static String` | `ARMENIAN`
    `static String` | `ASSAMESE`
    `static String` | `ATHAPASKAN`
    `static String` | `AVAR`
    `static String` | `AWADHI`
    `static String` | `AYMARA`
    `static String` | `AZERI`
    `static String` | `BADAGA`
    `static String` | `BAGHELKHANDI`
    `static String` | `BALANTE`
    `static String` | `BALKAR`
    `static String` | `BALOCHI`
    `static String` | `BALTI`
    `static String` | `BAMBARA`
    `static String` | `BAMILEKE`
    `static String` | `BASHKIR`
    `static String` | `BASQUE`
    `static String` | `BAULE`
    `static String` | `BELARUSSIAN`
    `static String` | `BEMBA`
    `static String` | `BENCH`
    `static String` | `BENGALI`
    `static String` | `BERBER`
    `static String` | `BETI`
    `static String` | `BHILI`
    `static String` | `BHOJPURI`
    `static String` | `BIBLE_CREE`
    `static String` | `BIKOL`
    `static String` | `BILEN`
    `static String` | `BLACKFOOT`
    `static String` | `BOSNIAN`
    `static String` | `BRAHUI`
    `static String` | `BRAJ_BHASHA`
    `static String` | `BRETON`
    `static String` | `BULGARIAN`
    `static String` | `BURMESE`
    `static String` | `CARRIER`
    `static String` | `CATALAN`
    `static String` | `CEBUANO`
    `static String` | `CHAHA_GURAGE`
    `static String` | `CHATTISGARHI`
    `static String` | `CHECHEN`
    `static String` | `CHEROKEE`
    `static String` | `CHICHEWA`
    `static String` | `CHIN`
    `static String` | `CHINESE_HONG_KONG_SAR`
    `static String` | `CHINESE_PHONETIC`
    `static String` | `CHINESE_SIMPLIFIED`
    `static String` | `CHINESE_TRADITIONAL`
    `static String` | `CHIPEWYAN`
    `static String` | `CHUKCHI`
    `static String` | `CHURCH_SLAVONIC`
    `static String` | `CHUVASH`
    `static String` | `COMORIAN`
    `static String` | `COPTIC`
    `static String` | `CORSICAN`
    `static String` | `CREE`
    `static String` | `CRIMEAN_TATAR`
    `static String` | `CROATIAN`
    `static String` | `CZECH`
    `static String` | `DANGME`
    `static String` | `DANISH`
    `static String` | `DARGWA`
    `static String` | `DARI`
    `static String` | `DEFAULT`
    `static String` | `DHIVEHI`
    `static String` | `DHIVEHI_DEPRECATED`
    `static String` | `DINKA`
    `static String` | `DJERMA`
    `static String` | `DOGRI`
    `static String` | `DUNGAN`
    `static String` | `DUTCH`
    `static String` | `DZONGKHA`
    `static String` | `EASTERN_CREE`
    `static String` | `EBIRA`
    `static String` | `EDO`
    `static String` | `EFIK`
    `static String` | `ENGLISH`
    `static String` | `ERZYA`
    `static String` | `ESPERANTO`
    `static String` | `ESTONIAN`
    `static String` | `EVEN`
    `static String` | `EVENKI`
    `static String` | `EWE`
    `static String` | `FAROESE`
    `static String` | `FARSI`
    `static String` | `FIJIAN`
    `static String` | `FILIPINO`
    `static String` | `FINNISH`
    `static String` | `FLEMISH`
    `static String` | `FON`
    `static String` | `FOREST_NENETS`
    `static String` | `FRENCH`
    `static String` | `FRENCH_ANTILLEAN`
    `static String` | `FRISIAN`
    `static String` | `FRIULIAN`
    `static String` | `FULANI`
    `static String` | `FUTA`
    `static String` | `GA`
    `static String` | `GAELIC`
    `static String` | `GAGAUZ`
    `static String` | `GALICIAN`
    `static String` | `GARHWALI`
    `static String` | `GARO`
    `static String` | `GARSHUNI`
    `static String` | `GEEZ`
    `static String` | `GEORGIAN`
    `static String` | `GERMAN`
    `static String` | `GILYAK`
    `static String` | `GONDI`
    `static String` | `GREEK`
    `static String` | `GREENLANDIC`
    `static String` | `GUARANI`
    `static String` | `GUJARATI`
    `static String` | `GUMUZ`
    `static String` | `HAITIAN`
    `static String` | `HALAM`
    `static String` | `HAMMER_BANNA`
    `static String` | `HARARI`
    `static String` | `HARAUTI`
    `static String` | `HAUSA`
    `static String` | `HAWAIIN`
    `static String` | `HEBREW`
    `static String` | `HIGH_MARI`
    `static String` | `HILIGAYNON`
    `static String` | `HINDI`
    `static String` | `HINDKO`
    `static String` | `HO`
    `static String` | `HUNGARIAN`
    `static String` | `ICELANDIC`
    `static String` | `IGBO`
    `static String` | `IJO`
    `static String` | `ILOKANO`
    `static String` | `INARI_SAMI`
    `static String` | `INDONESIAN`
    `static String` | `INGUSH`
    `static String` | `INUKTITUT`
    `static String` | `IRISH`
    `static String` | `IRISH_TRADITIONAL`
    `static String` | `ITALIAN`
    `static String` | `JAPANESE`
    `static String` | `JAVANESE`
    `static String` | `JUDEZMO`
    `static String` | `JULA`
    `static String` | `KABARDIAN`
    `static String` | `KACHCHI`
    `static String` | `KALENJIN`
    `static String` | `KALMYK`
    `static String` | `KAMBA`
    `static String` | `KANNADA`
    `static String` | `KANURI`
    `static String` | `KARACHAY`
    `static String` | `KARAIM`
    `static String` | `KARAKALPAK`
    `static String` | `KARELIAN`
    `static String` | `KAREN`
    `static String` | `KASHMIRI`
    `static String` | `KAZAKH`
    `static String` | `KEBENA`
    `static String` | `KHAKASS`
    `static String` | `KHANTY_KAZIM`
    `static String` | `KHANTY_SHURISHKAR`
    `static String` | `KHANTY_VAKHI`
    `static String` | `KHASI`
    `static String` | `KHMER`
    `static String` | `KHOWAR`
    `static String` | `KHUTSURI_GEORGIAN`
    `static String` | `KIKONGO`
    `static String` | `KIKUYU`
    `static String` | `KILDIN_SAMI`
    `static String` | `KIRGHIZ`
    `static String` | `KISII`
    `static String` | `KODAGU`
    `static String` | `KOKNI`
    `static String` | `KOMI_PERMYAK`
    `static String` | `KOMI_ZYRIAN`
    `static String` | `KOMO`
    `static String` | `KOMSO`
    `static String` | `KONKANI`
    `static String` | `KOORETE`
    `static String` | `KOREAN`
    `static String` | `KOREAN_OLD_HANGUL`
    `static String` | `KORYAK`
    `static String` | `KPELLE`
    `static String` | `KRIO`
    `static String` | `KUI`
    `static String` | `KULVI`
    `static String` | `KUMAONI`
    `static String` | `KUMYK`
    `static String` | `KURDISH`
    `static String` | `KURUKH`
    `static String` | `KUY`
    `static String` | `L_CREE`
    `static String` | `LADAKHI`
    `static String` | `LADIN`
    `static String` | `LAHULI`
    `static String` | `LAK`
    `static String` | `LAMBANI`
    `static String` | `LAO`
    `static String` | `LATIN`
    `static String` | `LATVIAN`
    `static String` | `LAZ`
    `static String` | `LEZGI`
    `static String` | `LIMBU`
    `static String` | `LINGALA`
    `static String` | `LITHUANIAN`
    `static String` | `LOMWE`
    `static String` | `LOW_MARI`
    `static String` | `LOWER_SORBIAN`
    `static String` | `LUBA`
    `static String` | `LUGANDA`
    `static String` | `LUHYA`
    `static String` | `LULE_SAMI`
    `static String` | `LUO`
    `static String` | `LUXEMBOURGISH`
    `static String` | `MACEDONIAN`
    `static String` | `MAITHILI`
    `static String` | `MAJANG`
    `static String` | `MAKUA`
    `static String` | `MALAGASY`
    `static String` | `MALAY`
    `static String` | `MALAYALAM_REFORMED`
    `static String` | `MALAYALAM_TRADITIONAL`
    `static String` | `MALE`
    `static String` | `MALINKE`
    `static String` | `MALTESE`
    `static String` | `MANCHU`
    `static String` | `MANDINKA`
    `static String` | `MANINKA`
    `static String` | `MANIPURI`
    `static String` | `MANSI`
    `static String` | `MANX_GAELIC`
    `static String` | `MAORI`
    `static String` | `MAPUDUNGUN`
    `static String` | `MARATHI`
    `static String` | `MARWARI`
    `static String` | `MBUNDU`
    `static String` | `MEEN`
    `static String` | `MENDE`
    `static String` | `MIZO`
    `static String` | `MOHAWK`
    `static String` | `MOKSHA`
    `static String` | `MOLDAVIAN`
    `static String` | `MON`
    `static String` | `MONGOLIAN`
    `static String` | `MOOSE_CREE`
    `static String` | `MOROCCAN`
    `static String` | `MUNDARI`
    `static String` | `N_CREE`
    `static String` | `NAGA_ASSAMESE`
    `static String` | `NAGARI`
    `static String` | `NANAI`
    `static String` | `NASKAPI`
    `static String` | `NDEBELE`
    `static String` | `NDONGA`
    `static String` | `NEPALI`
    `static String` | `NEWARI`
    `static String` | `NISI`
    `static String` | `NIUEAN`
    `static String` | `NKO`
    `static String` | `NKOLE`
    `static String` | `NOGAI`
    `static String` | `NORTHERN_SAMI`
    `static String` | `NORTHERN_TAI`
    `static String` | `NORWAY_HOUSE_CREE`
    `static String` | `NORWEGIAN`
    `static String` | `NYNORSK`
    `static String` | `OCCITAN`
    `static String` | `OJI_CREE`
    `static String` | `OJIBWAY`
    `static String` | `ORIYA`
    `static String` | `OROMO`
    `static String` | `OSSETIAN`
    `static String` | `PALAUNG`
    `static String` | `PALESTINIAN_ARAMAIC`
    `static String` | `PALI`
    `static String` | `PALPA`
    `static String` | `PASHTO`
    `static String` | `PHONETIC_AMERICANIST`
    `static String` | `PHONETIC_IPA`
    `static String` | `POLISH`
    `static String` | `POLYTONIC_GREEK`
    `static String` | `PORTUGUESE`
    `static String` | `PROVENCAL`
    `static String` | `PUNJABI`
    `static String` | `R_CREE`
    `static String` | `RAJASTHANI`
    `static String` | `RHAETO_ROMANIC`
    `static String` | `RIANG`
    `static String` | `ROMANIAN`
    `static String` | `ROMANY`
    `static String` | `RUANDA`
    `static String` | `RUSSIAN`
    `static String` | `RUSSIAN_BURIAT`
    `static String` | `RUSYN`
    `static String` | `SADRI`
    `static String` | `SAKHA`
    `static String` | `SAMOAN`
    `static String` | `SANGO`
    `static String` | `SANSKRIT`
    `static String` | `SANTALI`
    `static String` | `SARAIKI`
    `static String` | `SAYISI`
    `static String` | `SEKOTA`
    `static String` | `SELKUP`
    `static String` | `SENA`
    `static String` | `SERBIAN`
    `static String` | `SERER`
    `static String` | `SHAN`
    `static String` | `SIBE`
    `static String` | `SIDAMO`
    `static String` | `SILTE_GURAGE`
    `static String` | `SINDHI`
    `static String` | `SINHALESE`
    `static String` | `SKOLT_SAMI`
    `static String` | `SLAVEY`
    `static String` | `SLOVAK`
    `static String` | `SLOVENIAN`
    `static String` | `SODO_GURAGE`
    `static String` | `SOMALI`
    `static String` | `SONINKE`
    `static String` | `SOTHO`
    `static String` | `SOUTH_SLAVEY`
    `static String` | `SOUTHERN_SAMI`
    `static String` | `SPANISH`
    `static String` | `SURI`
    `static String` | `SUTU`
    `static String` | `SVAN`
    `static String` | `SWADAYA_ARAMAIC`
    `static String` | `SWAHILI`
    `static String` | `SWAZI`
    `static String` | `SWEDISH`
    `static String` | `SYRIAC`
    `static String` | `TABASARAN`
    `static String` | `TAHITIAN`
    `static String` | `TAI_LUE`
    `static String` | `TAJIKI`
    `static String` | `TAMIL`
    `static String` | `TATAR`
    `static String` | `TELUGU`
    `static String` | `TEMNE`
    `static String` | `TH_CREE`
    `static String` | `THAI`
    `static String` | `TIBETAN`
    `static String` | `TIGRE`
    `static String` | `TIGRINYA`
    `static String` | `TODO`
    `static String` | `TONGA`
    `static String` | `TONGAN`
    `static String` | `TSONGA`
    `static String` | `TSWANA`
    `static String` | `TULU`
    `static String` | `TUNDRA_NENETS`
    `static String` | `TURKISH`
    `static String` | `TURKMEN`
    `static String` | `TUROYO_ARAMAIC`
    `static String` | `TUVIN`
    `static String` | `TWI`
    `static String` | `UDMURT`
    `static String` | `UKRAINIAN`
    `static String` | `UPPER_SORBIAN`
    `static String` | `URDU`
    `static String` | `UYGHUR`
    `static String` | `UZBEK`
    `static String` | `VENDA`
    `static String` | `VIETNAMESE`
    `static String` | `WA`
    `static String` | `WAGDI`
    `static String` | `WELSH`
    `static String` | `WEST_CREE`
    `static String` | `WILDCARD`
    `static String` | `WOLOF`
    `static String` | `WOODS_CREE`
    `static String` | `XHOSA`
    `static String` | `Y_CREE`
    `static String` | `YI_CLASSIC`
    `static String` | `YI_MODERN`
    `static String` | `YIDDISH`
    `static String` | `YORUBA`
    `static String` | `ZANDE`
    `static String` | `ZULU`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isDefault(String language)`
    `static boolean` | `isWildCard(String language)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ABAZA

          public static final String ABAZA

      See Also:
        Constant Field Values

    - #### ABKHAZIAN

          public static final String ABKHAZIAN

      See Also:
        Constant Field Values

    - #### ADYGHE

          public static final String ADYGHE

      See Also:
        Constant Field Values

    - #### AFRIKAANS

          public static final String AFRIKAANS

      See Also:
        Constant Field Values

    - #### AFAR

          public static final String AFAR

      See Also:
        Constant Field Values

    - #### AGAW

          public static final String AGAW

      See Also:
        Constant Field Values

    - #### ALSATIAN

          public static final String ALSATIAN

      See Also:
        Constant Field Values

    - #### ALTAI

          public static final String ALTAI

      See Also:
        Constant Field Values

    - #### AMHARIC

          public static final String AMHARIC

      See Also:
        Constant Field Values

    - #### PHONETIC_AMERICANIST

          public static final String PHONETIC_AMERICANIST

      See Also:
        Constant Field Values

    - #### ARABIC

          public static final String ARABIC

      See Also:
        Constant Field Values

    - #### AARI

          public static final String AARI

      See Also:
        Constant Field Values

    - #### ARAKANESE

          public static final String ARAKANESE

      See Also:
        Constant Field Values

    - #### ASSAMESE

          public static final String ASSAMESE

      See Also:
        Constant Field Values

    - #### ATHAPASKAN

          public static final String ATHAPASKAN

      See Also:
        Constant Field Values

    - #### AVAR

          public static final String AVAR

      See Also:
        Constant Field Values

    - #### AWADHI

          public static final String AWADHI

      See Also:
        Constant Field Values

    - #### AYMARA

          public static final String AYMARA

      See Also:
        Constant Field Values

    - #### AZERI

          public static final String AZERI

      See Also:
        Constant Field Values

    - #### BADAGA

          public static final String BADAGA

      See Also:
        Constant Field Values

    - #### BAGHELKHANDI

          public static final String BAGHELKHANDI

      See Also:
        Constant Field Values

    - #### BALKAR

          public static final String BALKAR

      See Also:
        Constant Field Values

    - #### BAULE

          public static final String BAULE

      See Also:
        Constant Field Values

    - #### BERBER

          public static final String BERBER

      See Also:
        Constant Field Values

    - #### BENCH

          public static final String BENCH

      See Also:
        Constant Field Values

    - #### BIBLE_CREE

          public static final String BIBLE_CREE

      See Also:
        Constant Field Values

    - #### BELARUSSIAN

          public static final String BELARUSSIAN

      See Also:
        Constant Field Values

    - #### BEMBA

          public static final String BEMBA

      See Also:
        Constant Field Values

    - #### BENGALI

          public static final String BENGALI

      See Also:
        Constant Field Values

    - #### BULGARIAN

          public static final String BULGARIAN

      See Also:
        Constant Field Values

    - #### BHILI

          public static final String BHILI

      See Also:
        Constant Field Values

    - #### BHOJPURI

          public static final String BHOJPURI

      See Also:
        Constant Field Values

    - #### BIKOL

          public static final String BIKOL

      See Also:
        Constant Field Values

    - #### BILEN

          public static final String BILEN

      See Also:
        Constant Field Values

    - #### BLACKFOOT

          public static final String BLACKFOOT

      See Also:
        Constant Field Values

    - #### BALOCHI

          public static final String BALOCHI

      See Also:
        Constant Field Values

    - #### BALANTE

          public static final String BALANTE

      See Also:
        Constant Field Values

    - #### BALTI

          public static final String BALTI

      See Also:
        Constant Field Values

    - #### BAMBARA

          public static final String BAMBARA

      See Also:
        Constant Field Values

    - #### BAMILEKE

          public static final String BAMILEKE

      See Also:
        Constant Field Values

    - #### BOSNIAN

          public static final String BOSNIAN

      See Also:
        Constant Field Values

    - #### BRETON

          public static final String BRETON

      See Also:
        Constant Field Values

    - #### BRAHUI

          public static final String BRAHUI

      See Also:
        Constant Field Values

    - #### BRAJ_BHASHA

          public static final String BRAJ_BHASHA

      See Also:
        Constant Field Values

    - #### BURMESE

          public static final String BURMESE

      See Also:
        Constant Field Values

    - #### BASHKIR

          public static final String BASHKIR

      See Also:
        Constant Field Values

    - #### BETI

          public static final String BETI

      See Also:
        Constant Field Values

    - #### CATALAN

          public static final String CATALAN

      See Also:
        Constant Field Values

    - #### CEBUANO

          public static final String CEBUANO

      See Also:
        Constant Field Values

    - #### CHECHEN

          public static final String CHECHEN

      See Also:
        Constant Field Values

    - #### CHAHA_GURAGE

          public static final String CHAHA_GURAGE

      See Also:
        Constant Field Values

    - #### CHATTISGARHI

          public static final String CHATTISGARHI

      See Also:
        Constant Field Values

    - #### CHICHEWA

          public static final String CHICHEWA

      See Also:
        Constant Field Values

    - #### CHUKCHI

          public static final String CHUKCHI

      See Also:
        Constant Field Values

    - #### CHIPEWYAN

          public static final String CHIPEWYAN

      See Also:
        Constant Field Values

    - #### CHEROKEE

          public static final String CHEROKEE

      See Also:
        Constant Field Values

    - #### CHUVASH

          public static final String CHUVASH

      See Also:
        Constant Field Values

    - #### COMORIAN

          public static final String COMORIAN

      See Also:
        Constant Field Values

    - #### COPTIC

          public static final String COPTIC

      See Also:
        Constant Field Values

    - #### CORSICAN

          public static final String CORSICAN

      See Also:
        Constant Field Values

    - #### CREE

          public static final String CREE

      See Also:
        Constant Field Values

    - #### CARRIER

          public static final String CARRIER

      See Also:
        Constant Field Values

    - #### CRIMEAN_TATAR

          public static final String CRIMEAN_TATAR

      See Also:
        Constant Field Values

    - #### CHURCH_SLAVONIC

          public static final String CHURCH_SLAVONIC

      See Also:
        Constant Field Values

    - #### CZECH

          public static final String CZECH

      See Also:
        Constant Field Values

    - #### DANISH

          public static final String DANISH

      See Also:
        Constant Field Values

    - #### DARGWA

          public static final String DARGWA

      See Also:
        Constant Field Values

    - #### WOODS_CREE

          public static final String WOODS_CREE

      See Also:
        Constant Field Values

    - #### GERMAN

          public static final String GERMAN

      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final String DEFAULT

      See Also:
        Constant Field Values

    - #### DOGRI

          public static final String DOGRI

      See Also:
        Constant Field Values

    - #### DHIVEHI_DEPRECATED

          public static final String DHIVEHI_DEPRECATED

      See Also:
        Constant Field Values

    - #### DHIVEHI

          public static final String DHIVEHI

      See Also:
        Constant Field Values

    - #### DJERMA

          public static final String DJERMA

      See Also:
        Constant Field Values

    - #### DANGME

          public static final String DANGME

      See Also:
        Constant Field Values

    - #### DINKA

          public static final String DINKA

      See Also:
        Constant Field Values

    - #### DARI

          public static final String DARI

      See Also:
        Constant Field Values

    - #### DUNGAN

          public static final String DUNGAN

      See Also:
        Constant Field Values

    - #### DZONGKHA

          public static final String DZONGKHA

      See Also:
        Constant Field Values

    - #### EBIRA

          public static final String EBIRA

      See Also:
        Constant Field Values

    - #### EASTERN_CREE

          public static final String EASTERN_CREE

      See Also:
        Constant Field Values

    - #### EDO

          public static final String EDO

      See Also:
        Constant Field Values

    - #### EFIK

          public static final String EFIK

      See Also:
        Constant Field Values

    - #### GREEK

          public static final String GREEK

      See Also:
        Constant Field Values

    - #### ENGLISH

          public static final String ENGLISH

      See Also:
        Constant Field Values

    - #### ERZYA

          public static final String ERZYA

      See Also:
        Constant Field Values

    - #### SPANISH

          public static final String SPANISH

      See Also:
        Constant Field Values

    - #### ESTONIAN

          public static final String ESTONIAN

      See Also:
        Constant Field Values

    - #### BASQUE

          public static final String BASQUE

      See Also:
        Constant Field Values

    - #### EVENKI

          public static final String EVENKI

      See Also:
        Constant Field Values

    - #### EVEN

          public static final String EVEN

      See Also:
        Constant Field Values

    - #### EWE

          public static final String EWE

      See Also:
        Constant Field Values

    - #### FRENCH_ANTILLEAN

          public static final String FRENCH_ANTILLEAN

      See Also:
        Constant Field Values

    - #### FARSI

          public static final String FARSI

      See Also:
        Constant Field Values

    - #### FINNISH

          public static final String FINNISH

      See Also:
        Constant Field Values

    - #### FIJIAN

          public static final String FIJIAN

      See Also:
        Constant Field Values

    - #### FLEMISH

          public static final String FLEMISH

      See Also:
        Constant Field Values

    - #### FOREST_NENETS

          public static final String FOREST_NENETS

      See Also:
        Constant Field Values

    - #### FON

          public static final String FON

      See Also:
        Constant Field Values

    - #### FAROESE

          public static final String FAROESE

      See Also:
        Constant Field Values

    - #### FRENCH

          public static final String FRENCH

      See Also:
        Constant Field Values

    - #### FRISIAN

          public static final String FRISIAN

      See Also:
        Constant Field Values

    - #### FRIULIAN

          public static final String FRIULIAN

      See Also:
        Constant Field Values

    - #### FUTA

          public static final String FUTA

      See Also:
        Constant Field Values

    - #### FULANI

          public static final String FULANI

      See Also:
        Constant Field Values

    - #### GA

          public static final String GA

      See Also:
        Constant Field Values

    - #### GAELIC

          public static final String GAELIC

      See Also:
        Constant Field Values

    - #### GAGAUZ

          public static final String GAGAUZ

      See Also:
        Constant Field Values

    - #### GALICIAN

          public static final String GALICIAN

      See Also:
        Constant Field Values

    - #### GARSHUNI

          public static final String GARSHUNI

      See Also:
        Constant Field Values

    - #### GARHWALI

          public static final String GARHWALI

      See Also:
        Constant Field Values

    - #### GEEZ

          public static final String GEEZ

      See Also:
        Constant Field Values

    - #### GILYAK

          public static final String GILYAK

      See Also:
        Constant Field Values

    - #### GUMUZ

          public static final String GUMUZ

      See Also:
        Constant Field Values

    - #### GONDI

          public static final String GONDI

      See Also:
        Constant Field Values

    - #### GREENLANDIC

          public static final String GREENLANDIC

      See Also:
        Constant Field Values

    - #### GARO

          public static final String GARO

      See Also:
        Constant Field Values

    - #### GUARANI

          public static final String GUARANI

      See Also:
        Constant Field Values

    - #### GUJARATI

          public static final String GUJARATI

      See Also:
        Constant Field Values

    - #### HAITIAN

          public static final String HAITIAN

      See Also:
        Constant Field Values

    - #### HALAM

          public static final String HALAM

      See Also:
        Constant Field Values

    - #### HARAUTI

          public static final String HARAUTI

      See Also:
        Constant Field Values

    - #### HAUSA

          public static final String HAUSA

      See Also:
        Constant Field Values

    - #### HAWAIIN

          public static final String HAWAIIN

      See Also:
        Constant Field Values

    - #### HAMMER_BANNA

          public static final String HAMMER_BANNA

      See Also:
        Constant Field Values

    - #### HILIGAYNON

          public static final String HILIGAYNON

      See Also:
        Constant Field Values

    - #### HINDI

          public static final String HINDI

      See Also:
        Constant Field Values

    - #### HIGH_MARI

          public static final String HIGH_MARI

      See Also:
        Constant Field Values

    - #### HINDKO

          public static final String HINDKO

      See Also:
        Constant Field Values

    - #### HO

          public static final String HO

      See Also:
        Constant Field Values

    - #### HARARI

          public static final String HARARI

      See Also:
        Constant Field Values

    - #### CROATIAN

          public static final String CROATIAN

      See Also:
        Constant Field Values

    - #### HUNGARIAN

          public static final String HUNGARIAN

      See Also:
        Constant Field Values

    - #### ARMENIAN

          public static final String ARMENIAN

      See Also:
        Constant Field Values

    - #### IGBO

          public static final String IGBO

      See Also:
        Constant Field Values

    - #### IJO

          public static final String IJO

      See Also:
        Constant Field Values

    - #### ILOKANO

          public static final String ILOKANO

      See Also:
        Constant Field Values

    - #### INDONESIAN

          public static final String INDONESIAN

      See Also:
        Constant Field Values

    - #### INGUSH

          public static final String INGUSH

      See Also:
        Constant Field Values

    - #### INUKTITUT

          public static final String INUKTITUT

      See Also:
        Constant Field Values

    - #### PHONETIC_IPA

          public static final String PHONETIC_IPA

      See Also:
        Constant Field Values

    - #### IRISH

          public static final String IRISH

      See Also:
        Constant Field Values

    - #### IRISH_TRADITIONAL

          public static final String IRISH_TRADITIONAL

      See Also:
        Constant Field Values

    - #### ICELANDIC

          public static final String ICELANDIC

      See Also:
        Constant Field Values

    - #### INARI_SAMI

          public static final String INARI_SAMI

      See Also:
        Constant Field Values

    - #### ITALIAN

          public static final String ITALIAN

      See Also:
        Constant Field Values

    - #### HEBREW

          public static final String HEBREW

      See Also:
        Constant Field Values

    - #### JAVANESE

          public static final String JAVANESE

      See Also:
        Constant Field Values

    - #### YIDDISH

          public static final String YIDDISH

      See Also:
        Constant Field Values

    - #### JAPANESE

          public static final String JAPANESE

      See Also:
        Constant Field Values

    - #### JUDEZMO

          public static final String JUDEZMO

      See Also:
        Constant Field Values

    - #### JULA

          public static final String JULA

      See Also:
        Constant Field Values

    - #### KABARDIAN

          public static final String KABARDIAN

      See Also:
        Constant Field Values

    - #### KACHCHI

          public static final String KACHCHI

      See Also:
        Constant Field Values

    - #### KALENJIN

          public static final String KALENJIN

      See Also:
        Constant Field Values

    - #### KANNADA

          public static final String KANNADA

      See Also:
        Constant Field Values

    - #### KARACHAY

          public static final String KARACHAY

      See Also:
        Constant Field Values

    - #### GEORGIAN

          public static final String GEORGIAN

      See Also:
        Constant Field Values

    - #### KAZAKH

          public static final String KAZAKH

      See Also:
        Constant Field Values

    - #### KEBENA

          public static final String KEBENA

      See Also:
        Constant Field Values

    - #### KHUTSURI_GEORGIAN

          public static final String KHUTSURI_GEORGIAN

      See Also:
        Constant Field Values

    - #### KHAKASS

          public static final String KHAKASS

      See Also:
        Constant Field Values

    - #### KHANTY_KAZIM

          public static final String KHANTY_KAZIM

      See Also:
        Constant Field Values

    - #### KHMER

          public static final String KHMER

      See Also:
        Constant Field Values

    - #### KHANTY_SHURISHKAR

          public static final String KHANTY_SHURISHKAR

      See Also:
        Constant Field Values

    - #### KHANTY_VAKHI

          public static final String KHANTY_VAKHI

      See Also:
        Constant Field Values

    - #### KHOWAR

          public static final String KHOWAR

      See Also:
        Constant Field Values

    - #### KIKUYU

          public static final String KIKUYU

      See Also:
        Constant Field Values

    - #### KIRGHIZ

          public static final String KIRGHIZ

      See Also:
        Constant Field Values

    - #### KISII

          public static final String KISII

      See Also:
        Constant Field Values

    - #### KOKNI

          public static final String KOKNI

      See Also:
        Constant Field Values

    - #### KALMYK

          public static final String KALMYK

      See Also:
        Constant Field Values

    - #### KAMBA

          public static final String KAMBA

      See Also:
        Constant Field Values

    - #### KUMAONI

          public static final String KUMAONI

      See Also:
        Constant Field Values

    - #### KOMO

          public static final String KOMO

      See Also:
        Constant Field Values

    - #### KOMSO

          public static final String KOMSO

      See Also:
        Constant Field Values

    - #### KANURI

          public static final String KANURI

      See Also:
        Constant Field Values

    - #### KODAGU

          public static final String KODAGU

      See Also:
        Constant Field Values

    - #### KOREAN_OLD_HANGUL

          public static final String KOREAN_OLD_HANGUL

      See Also:
        Constant Field Values

    - #### KONKANI

          public static final String KONKANI

      See Also:
        Constant Field Values

    - #### KIKONGO

          public static final String KIKONGO

      See Also:
        Constant Field Values

    - #### KOMI_PERMYAK

          public static final String KOMI_PERMYAK

      See Also:
        Constant Field Values

    - #### KOREAN

          public static final String KOREAN

      See Also:
        Constant Field Values

    - #### KOMI_ZYRIAN

          public static final String KOMI_ZYRIAN

      See Also:
        Constant Field Values

    - #### KPELLE

          public static final String KPELLE

      See Also:
        Constant Field Values

    - #### KRIO

          public static final String KRIO

      See Also:
        Constant Field Values

    - #### KARAKALPAK

          public static final String KARAKALPAK

      See Also:
        Constant Field Values

    - #### KARELIAN

          public static final String KARELIAN

      See Also:
        Constant Field Values

    - #### KARAIM

          public static final String KARAIM

      See Also:
        Constant Field Values

    - #### KAREN

          public static final String KAREN

      See Also:
        Constant Field Values

    - #### KOORETE

          public static final String KOORETE

      See Also:
        Constant Field Values

    - #### KASHMIRI

          public static final String KASHMIRI

      See Also:
        Constant Field Values

    - #### KHASI

          public static final String KHASI

      See Also:
        Constant Field Values

    - #### KILDIN_SAMI

          public static final String KILDIN_SAMI

      See Also:
        Constant Field Values

    - #### KUI

          public static final String KUI

      See Also:
        Constant Field Values

    - #### KULVI

          public static final String KULVI

      See Also:
        Constant Field Values

    - #### KUMYK

          public static final String KUMYK

      See Also:
        Constant Field Values

    - #### KURDISH

          public static final String KURDISH

      See Also:
        Constant Field Values

    - #### KURUKH

          public static final String KURUKH

      See Also:
        Constant Field Values

    - #### KUY

          public static final String KUY

      See Also:
        Constant Field Values

    - #### KORYAK

          public static final String KORYAK

      See Also:
        Constant Field Values

    - #### LADIN

          public static final String LADIN

      See Also:
        Constant Field Values

    - #### LAHULI

          public static final String LAHULI

      See Also:
        Constant Field Values

    - #### LAK

          public static final String LAK

      See Also:
        Constant Field Values

    - #### LAMBANI

          public static final String LAMBANI

      See Also:
        Constant Field Values

    - #### LAO

          public static final String LAO

      See Also:
        Constant Field Values

    - #### LATIN

          public static final String LATIN

      See Also:
        Constant Field Values

    - #### LAZ

          public static final String LAZ

      See Also:
        Constant Field Values

    - #### L_CREE

          public static final String L_CREE

      See Also:
        Constant Field Values

    - #### LADAKHI

          public static final String LADAKHI

      See Also:
        Constant Field Values

    - #### LEZGI

          public static final String LEZGI

      See Also:
        Constant Field Values

    - #### LINGALA

          public static final String LINGALA

      See Also:
        Constant Field Values

    - #### LOW_MARI

          public static final String LOW_MARI

      See Also:
        Constant Field Values

    - #### LIMBU

          public static final String LIMBU

      See Also:
        Constant Field Values

    - #### LOMWE

          public static final String LOMWE

      See Also:
        Constant Field Values

    - #### LOWER_SORBIAN

          public static final String LOWER_SORBIAN

      See Also:
        Constant Field Values

    - #### LULE_SAMI

          public static final String LULE_SAMI

      See Also:
        Constant Field Values

    - #### LITHUANIAN

          public static final String LITHUANIAN

      See Also:
        Constant Field Values

    - #### LUXEMBOURGISH

          public static final String LUXEMBOURGISH

      See Also:
        Constant Field Values

    - #### LUBA

          public static final String LUBA

      See Also:
        Constant Field Values

    - #### LUGANDA

          public static final String LUGANDA

      See Also:
        Constant Field Values

    - #### LUHYA

          public static final String LUHYA

      See Also:
        Constant Field Values

    - #### LUO

          public static final String LUO

      See Also:
        Constant Field Values

    - #### LATVIAN

          public static final String LATVIAN

      See Also:
        Constant Field Values

    - #### MAJANG

          public static final String MAJANG

      See Also:
        Constant Field Values

    - #### MAKUA

          public static final String MAKUA

      See Also:
        Constant Field Values

    - #### MALAYALAM_TRADITIONAL

          public static final String MALAYALAM_TRADITIONAL

      See Also:
        Constant Field Values

    - #### MANSI

          public static final String MANSI

      See Also:
        Constant Field Values

    - #### MAPUDUNGUN

          public static final String MAPUDUNGUN

      See Also:
        Constant Field Values

    - #### MARATHI

          public static final String MARATHI

      See Also:
        Constant Field Values

    - #### MARWARI

          public static final String MARWARI

      See Also:
        Constant Field Values

    - #### MBUNDU

          public static final String MBUNDU

      See Also:
        Constant Field Values

    - #### MANCHU

          public static final String MANCHU

      See Also:
        Constant Field Values

    - #### MOOSE_CREE

          public static final String MOOSE_CREE

      See Also:
        Constant Field Values

    - #### MENDE

          public static final String MENDE

      See Also:
        Constant Field Values

    - #### MEEN

          public static final String MEEN

      See Also:
        Constant Field Values

    - #### MIZO

          public static final String MIZO

      See Also:
        Constant Field Values

    - #### MACEDONIAN

          public static final String MACEDONIAN

      See Also:
        Constant Field Values

    - #### MALE

          public static final String MALE

      See Also:
        Constant Field Values

    - #### MALAGASY

          public static final String MALAGASY

      See Also:
        Constant Field Values

    - #### MALINKE

          public static final String MALINKE

      See Also:
        Constant Field Values

    - #### MALAYALAM_REFORMED

          public static final String MALAYALAM_REFORMED

      See Also:
        Constant Field Values

    - #### MALAY

          public static final String MALAY

      See Also:
        Constant Field Values

    - #### MANDINKA

          public static final String MANDINKA

      See Also:
        Constant Field Values

    - #### MONGOLIAN

          public static final String MONGOLIAN

      See Also:
        Constant Field Values

    - #### MANIPURI

          public static final String MANIPURI

      See Also:
        Constant Field Values

    - #### MANINKA

          public static final String MANINKA

      See Also:
        Constant Field Values

    - #### MANX_GAELIC

          public static final String MANX_GAELIC

      See Also:
        Constant Field Values

    - #### MOHAWK

          public static final String MOHAWK

      See Also:
        Constant Field Values

    - #### MOKSHA

          public static final String MOKSHA

      See Also:
        Constant Field Values

    - #### MOLDAVIAN

          public static final String MOLDAVIAN

      See Also:
        Constant Field Values

    - #### MON

          public static final String MON

      See Also:
        Constant Field Values

    - #### MOROCCAN

          public static final String MOROCCAN

      See Also:
        Constant Field Values

    - #### MAORI

          public static final String MAORI

      See Also:
        Constant Field Values

    - #### MAITHILI

          public static final String MAITHILI

      See Also:
        Constant Field Values

    - #### MALTESE

          public static final String MALTESE

      See Also:
        Constant Field Values

    - #### MUNDARI

          public static final String MUNDARI

      See Also:
        Constant Field Values

    - #### NAGA_ASSAMESE

          public static final String NAGA_ASSAMESE

      See Also:
        Constant Field Values

    - #### NANAI

          public static final String NANAI

      See Also:
        Constant Field Values

    - #### NASKAPI

          public static final String NASKAPI

      See Also:
        Constant Field Values

    - #### N_CREE

          public static final String N_CREE

      See Also:
        Constant Field Values

    - #### NDEBELE

          public static final String NDEBELE

      See Also:
        Constant Field Values

    - #### NDONGA

          public static final String NDONGA

      See Also:
        Constant Field Values

    - #### NEPALI

          public static final String NEPALI

      See Also:
        Constant Field Values

    - #### NEWARI

          public static final String NEWARI

      See Also:
        Constant Field Values

    - #### NAGARI

          public static final String NAGARI

      See Also:
        Constant Field Values

    - #### NORWAY_HOUSE_CREE

          public static final String NORWAY_HOUSE_CREE

      See Also:
        Constant Field Values

    - #### NISI

          public static final String NISI

      See Also:
        Constant Field Values

    - #### NIUEAN

          public static final String NIUEAN

      See Also:
        Constant Field Values

    - #### NKOLE

          public static final String NKOLE

      See Also:
        Constant Field Values

    - #### NKO

          public static final String NKO

      See Also:
        Constant Field Values

    - #### DUTCH

          public static final String DUTCH

      See Also:
        Constant Field Values

    - #### NOGAI

          public static final String NOGAI

      See Also:
        Constant Field Values

    - #### NORWEGIAN

          public static final String NORWEGIAN

      See Also:
        Constant Field Values

    - #### NORTHERN_SAMI

          public static final String NORTHERN_SAMI

      See Also:
        Constant Field Values

    - #### NORTHERN_TAI

          public static final String NORTHERN_TAI

      See Also:
        Constant Field Values

    - #### ESPERANTO

          public static final String ESPERANTO

      See Also:
        Constant Field Values

    - #### NYNORSK

          public static final String NYNORSK

      See Also:
        Constant Field Values

    - #### OCCITAN

          public static final String OCCITAN

      See Also:
        Constant Field Values

    - #### OJI_CREE

          public static final String OJI_CREE

      See Also:
        Constant Field Values

    - #### OJIBWAY

          public static final String OJIBWAY

      See Also:
        Constant Field Values

    - #### ORIYA

          public static final String ORIYA

      See Also:
        Constant Field Values

    - #### OROMO

          public static final String OROMO

      See Also:
        Constant Field Values

    - #### OSSETIAN

          public static final String OSSETIAN

      See Also:
        Constant Field Values

    - #### PALESTINIAN_ARAMAIC

          public static final String PALESTINIAN_ARAMAIC

      See Also:
        Constant Field Values

    - #### PALI

          public static final String PALI

      See Also:
        Constant Field Values

    - #### PUNJABI

          public static final String PUNJABI

      See Also:
        Constant Field Values

    - #### PALPA

          public static final String PALPA

      See Also:
        Constant Field Values

    - #### PASHTO

          public static final String PASHTO

      See Also:
        Constant Field Values

    - #### POLYTONIC_GREEK

          public static final String POLYTONIC_GREEK

      See Also:
        Constant Field Values

    - #### FILIPINO

          public static final String FILIPINO

      See Also:
        Constant Field Values

    - #### PALAUNG

          public static final String PALAUNG

      See Also:
        Constant Field Values

    - #### POLISH

          public static final String POLISH

      See Also:
        Constant Field Values

    - #### PROVENCAL

          public static final String PROVENCAL

      See Also:
        Constant Field Values

    - #### PORTUGUESE

          public static final String PORTUGUESE

      See Also:
        Constant Field Values

    - #### CHIN

          public static final String CHIN

      See Also:
        Constant Field Values

    - #### RAJASTHANI

          public static final String RAJASTHANI

      See Also:
        Constant Field Values

    - #### R_CREE

          public static final String R_CREE

      See Also:
        Constant Field Values

    - #### RUSSIAN_BURIAT

          public static final String RUSSIAN_BURIAT

      See Also:
        Constant Field Values

    - #### RIANG

          public static final String RIANG

      See Also:
        Constant Field Values

    - #### RHAETO_ROMANIC

          public static final String RHAETO_ROMANIC

      See Also:
        Constant Field Values

    - #### ROMANIAN

          public static final String ROMANIAN

      See Also:
        Constant Field Values

    - #### ROMANY

          public static final String ROMANY

      See Also:
        Constant Field Values

    - #### RUSYN

          public static final String RUSYN

      See Also:
        Constant Field Values

    - #### RUANDA

          public static final String RUANDA

      See Also:
        Constant Field Values

    - #### RUSSIAN

          public static final String RUSSIAN

      See Also:
        Constant Field Values

    - #### SADRI

          public static final String SADRI

      See Also:
        Constant Field Values

    - #### SANSKRIT

          public static final String SANSKRIT

      See Also:
        Constant Field Values

    - #### SANTALI

          public static final String SANTALI

      See Also:
        Constant Field Values

    - #### SAYISI

          public static final String SAYISI

      See Also:
        Constant Field Values

    - #### SEKOTA

          public static final String SEKOTA

      See Also:
        Constant Field Values

    - #### SELKUP

          public static final String SELKUP

      See Also:
        Constant Field Values

    - #### SANGO

          public static final String SANGO

      See Also:
        Constant Field Values

    - #### SHAN

          public static final String SHAN

      See Also:
        Constant Field Values

    - #### SIBE

          public static final String SIBE

      See Also:
        Constant Field Values

    - #### SIDAMO

          public static final String SIDAMO

      See Also:
        Constant Field Values

    - #### SILTE_GURAGE

          public static final String SILTE_GURAGE

      See Also:
        Constant Field Values

    - #### SKOLT_SAMI

          public static final String SKOLT_SAMI

      See Also:
        Constant Field Values

    - #### SLOVAK

          public static final String SLOVAK

      See Also:
        Constant Field Values

    - #### SLAVEY

          public static final String SLAVEY

      See Also:
        Constant Field Values

    - #### SLOVENIAN

          public static final String SLOVENIAN

      See Also:
        Constant Field Values

    - #### SOMALI

          public static final String SOMALI

      See Also:
        Constant Field Values

    - #### SAMOAN

          public static final String SAMOAN

      See Also:
        Constant Field Values

    - #### SENA

          public static final String SENA

      See Also:
        Constant Field Values

    - #### SINDHI

          public static final String SINDHI

      See Also:
        Constant Field Values

    - #### SINHALESE

          public static final String SINHALESE

      See Also:
        Constant Field Values

    - #### SONINKE

          public static final String SONINKE

      See Also:
        Constant Field Values

    - #### SODO_GURAGE

          public static final String SODO_GURAGE

      See Also:
        Constant Field Values

    - #### SOTHO

          public static final String SOTHO

      See Also:
        Constant Field Values

    - #### ALBANIAN

          public static final String ALBANIAN

      See Also:
        Constant Field Values

    - #### SERBIAN

          public static final String SERBIAN

      See Also:
        Constant Field Values

    - #### SARAIKI

          public static final String SARAIKI

      See Also:
        Constant Field Values

    - #### SERER

          public static final String SERER

      See Also:
        Constant Field Values

    - #### SOUTH_SLAVEY

          public static final String SOUTH_SLAVEY

      See Also:
        Constant Field Values

    - #### SOUTHERN_SAMI

          public static final String SOUTHERN_SAMI

      See Also:
        Constant Field Values

    - #### SURI

          public static final String SURI

      See Also:
        Constant Field Values

    - #### SVAN

          public static final String SVAN

      See Also:
        Constant Field Values

    - #### SWEDISH

          public static final String SWEDISH

      See Also:
        Constant Field Values

    - #### SWADAYA_ARAMAIC

          public static final String SWADAYA_ARAMAIC

      See Also:
        Constant Field Values

    - #### SWAHILI

          public static final String SWAHILI

      See Also:
        Constant Field Values

    - #### SWAZI

          public static final String SWAZI

      See Also:
        Constant Field Values

    - #### SUTU

          public static final String SUTU

      See Also:
        Constant Field Values

    - #### SYRIAC

          public static final String SYRIAC

      See Also:
        Constant Field Values

    - #### TABASARAN

          public static final String TABASARAN

      See Also:
        Constant Field Values

    - #### TAJIKI

          public static final String TAJIKI

      See Also:
        Constant Field Values

    - #### TAMIL

          public static final String TAMIL

      See Also:
        Constant Field Values

    - #### TATAR

          public static final String TATAR

      See Also:
        Constant Field Values

    - #### TH_CREE

          public static final String TH_CREE

      See Also:
        Constant Field Values

    - #### TELUGU

          public static final String TELUGU

      See Also:
        Constant Field Values

    - #### TONGAN

          public static final String TONGAN

      See Also:
        Constant Field Values

    - #### TIGRE

          public static final String TIGRE

      See Also:
        Constant Field Values

    - #### TIGRINYA

          public static final String TIGRINYA

      See Also:
        Constant Field Values

    - #### THAI

          public static final String THAI

      See Also:
        Constant Field Values

    - #### TAHITIAN

          public static final String TAHITIAN

      See Also:
        Constant Field Values

    - #### TIBETAN

          public static final String TIBETAN

      See Also:
        Constant Field Values

    - #### TURKMEN

          public static final String TURKMEN

      See Also:
        Constant Field Values

    - #### TEMNE

          public static final String TEMNE

      See Also:
        Constant Field Values

    - #### TSWANA

          public static final String TSWANA

      See Also:
        Constant Field Values

    - #### TUNDRA_NENETS

          public static final String TUNDRA_NENETS

      See Also:
        Constant Field Values

    - #### TONGA

          public static final String TONGA

      See Also:
        Constant Field Values

    - #### TODO

          public static final String TODO

      See Also:
        Constant Field Values

    - #### TURKISH

          public static final String TURKISH

      See Also:
        Constant Field Values

    - #### TSONGA

          public static final String TSONGA

      See Also:
        Constant Field Values

    - #### TUROYO_ARAMAIC

          public static final String TUROYO_ARAMAIC

      See Also:
        Constant Field Values

    - #### TULU

          public static final String TULU

      See Also:
        Constant Field Values

    - #### TUVIN

          public static final String TUVIN

      See Also:
        Constant Field Values

    - #### TWI

          public static final String TWI

      See Also:
        Constant Field Values

    - #### UDMURT

          public static final String UDMURT

      See Also:
        Constant Field Values

    - #### UKRAINIAN

          public static final String UKRAINIAN

      See Also:
        Constant Field Values

    - #### URDU

          public static final String URDU

      See Also:
        Constant Field Values

    - #### UPPER_SORBIAN

          public static final String UPPER_SORBIAN

      See Also:
        Constant Field Values

    - #### UYGHUR

          public static final String UYGHUR

      See Also:
        Constant Field Values

    - #### UZBEK

          public static final String UZBEK

      See Also:
        Constant Field Values

    - #### VENDA

          public static final String VENDA

      See Also:
        Constant Field Values

    - #### VIETNAMESE

          public static final String VIETNAMESE

      See Also:
        Constant Field Values

    - #### WA

          public static final String WA

      See Also:
        Constant Field Values

    - #### WAGDI

          public static final String WAGDI

      See Also:
        Constant Field Values

    - #### WEST_CREE

          public static final String WEST_CREE

      See Also:
        Constant Field Values

    - #### WELSH

          public static final String WELSH

      See Also:
        Constant Field Values

    - #### WILDCARD

          public static final String WILDCARD

      See Also:
        Constant Field Values

    - #### WOLOF

          public static final String WOLOF

      See Also:
        Constant Field Values

    - #### TAI_LUE

          public static final String TAI_LUE

      See Also:
        Constant Field Values

    - #### XHOSA

          public static final String XHOSA

      See Also:
        Constant Field Values

    - #### SAKHA

          public static final String SAKHA

      See Also:
        Constant Field Values

    - #### YORUBA

          public static final String YORUBA

      See Also:
        Constant Field Values

    - #### Y_CREE

          public static final String Y_CREE

      See Also:
        Constant Field Values

    - #### YI_CLASSIC

          public static final String YI_CLASSIC

      See Also:
        Constant Field Values

    - #### YI_MODERN

          public static final String YI_MODERN

      See Also:
        Constant Field Values

    - #### CHINESE_HONG_KONG_SAR

          public static final String CHINESE_HONG_KONG_SAR

      See Also:
        Constant Field Values

    - #### CHINESE_PHONETIC

          public static final String CHINESE_PHONETIC

      See Also:
        Constant Field Values

    - #### CHINESE_SIMPLIFIED

          public static final String CHINESE_SIMPLIFIED

      See Also:
        Constant Field Values

    - #### CHINESE_TRADITIONAL

          public static final String CHINESE_TRADITIONAL

      See Also:
        Constant Field Values

    - #### ZANDE

          public static final String ZANDE

      See Also:
        Constant Field Values

    - #### ZULU

          public static final String ZULU

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isDefault

          public static boolean isDefault(String language)

    - #### isWildCard

          public static boolean isWildCard(String language)

Copyright © 2025 Apache Software Foundation. All rights reserved.